carlosfm
Posts: 132
Joined: Fri Oct 21, 2011 3:23 pm
Location: Lisbon, Portugal

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 4:43 pm

I would love to see Deadbeef, which I always use on linux.
It's a simple, light and very good sounding audio player - the equivalent of foobar2000 on linux.
Although it is not on the Debian repositories, the developer has .deb packages for Debian/Ubuntu (i386 and x86_64):

http://deadbeef.sourceforge.net/download.html
Do you Pi?

User avatar
davidm870
Posts: 7
Joined: Tue May 15, 2012 2:08 am

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 5:39 pm

So they are, thank you. dselect doesn't see them, for some reason.

MrRauch
Posts: 3
Joined: Fri Jul 27, 2012 5:38 pm

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 5:43 pm

libavg
berkelium
libbrowsernode

I really want to get the Xibo Linux client to run so that I can use these for digital signage. I have never really used Linux much and I am just starting to figure this out.

I know I can get this to work if I could compile these packages, but I can't figure it out! Any help would be greatly appreciated.

http://www.cnx-software.com/2012/01/19/ ... or-step-1/

paulie
Posts: 263
Joined: Thu Jan 19, 2012 6:51 pm

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 10:18 pm

I would like xastir (listed under hamradio on some versions of debian).
It doesn't have an installation candidate, but a search for xastir & raspbian gives a reference to a mirror in Germany ( hexxeh?) Where I can drill down to see the xastir .deb file, yet with the hexxeh mirror in my /etc/apt/sources.list I still have no install candidate :-(
Can't give exact sources.list as away from pi.
It has been my custom to use Xeyes

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 11:40 pm

MrRauch wrote:libavg
Debian seem to be restricting this to i386 and amd64 but I can find no indication in the changelog as to why. I'm testing now to see if it builds on raspbian once I remove that restriction.
berkelium libbrowsernode
Can't find any evidence of these being in debian at all

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Fri Jul 27, 2012 11:58 pm

paulie wrote:I would like xastir (listed under hamradio on some versions of debian).
It doesn't have an installation candidate, but a search for xastir & raspbian gives a reference to a mirror in Germany ( hexxeh?) Where I can drill down to see the xastir .deb file
I don't see any deb files on hexxeh's mirror, just the source package (dsc/orig.tar.gz/debian.tar.gz)

Anyway it's not being built due to a build-depends on libgdal1-dev which is uninstallable
libgdal1-dev is uninstallable because it depends on the unavailable package libgdal-dev which is built from source package gdal
gdal in turn build-depends on the unavailable package libspatialite-dev which is built from source package spatialite
spatialite failed to build with an error from the configure script.

I'm now looking to see if I have more luck with the version of spatialite from sid.

User avatar
cnxsoft
Posts: 191
Joined: Sat Oct 15, 2011 2:33 pm
Location: Chiang Mai, Thailand
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 11:32 am

plugwash wrote:
MrRauch wrote:libavg
Debian seem to be restricting this to i386 and amd64 but I can find no indication in the changelog as to why. I'm testing now to see if it builds on raspbian once I remove that restriction.
That's probably because libavg 1.7 does not support ARM (it won't build and work without modifications). The version in svn does support it, and work is being done on OpenGL ES support as well.

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 1:24 pm

cnxsoft wrote: That's probably because libavg 1.7 does not support ARM (it won't build and work without modifications). The version in svn does support it, and work is being done on OpenGL ES support as well.
I found one case of some x86 specific assembler in what appeared to be debug code which I patched up (though i'm not sure of the correctness of the patch), are there any other issues I should be aware of before I upload a version of this?

Specifically I changed the debugBreak function to
void debugBreak()
{
#ifdef _WIN32
__asm int 3;
#elseifdef __x86_64
asm("int $3");
#elseifdef __i386__
asm("int $3");
#else
//deliberately dereferencing a null pointer should break in most debuggers
*((char *)0) = 0;
#endif
}

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 1:29 pm

plugwash wrote: I'm now looking to see if I have more luck with the version of spatialite from sid.
I successfully built and uploaded the sid version of spatialite, gdal is now building.

User avatar
cnxsoft
Posts: 191
Joined: Sat Oct 15, 2011 2:33 pm
Location: Chiang Mai, Thailand
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 1:36 pm

plugwash wrote:
cnxsoft wrote: That's probably because libavg 1.7 does not support ARM (it won't build and work without modifications). The version in svn does support it, and work is being done on OpenGL ES support as well.
I found one case of some x86 specific assembler in what appeared to be debug code which I patched up (though i'm not sure of the correctness of the patch), are there any other issues I should be aware of before I upload a version of this?

Specifically I changed the debugBreak function to
void debugBreak()
{
#ifdef _WIN32
__asm int 3;
#elseifdef __x86_64
asm("int $3");
#elseifdef __i386__
asm("int $3");
#else
//deliberately dereferencing a null pointer should break in most debuggers
*((char *)0) = 0;
#endif
}
I also had to remove the sse part in the configure script.
cat configure | sed s/-msse2// > configure.arm
mv configure.arm configure
chmod 755 configure

I documented the changes I've done here: http://www.cnx-software.com/2012/01/18/ ... -on-debian, but I think the maintainer has a cleaner fix for the configure script in svn.

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 1:39 pm

debian had already done the sse fix since debian i386 is not sse.

Can you confirm that after making the sse fix and the debug code assembler fix that it worked for you?

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 4:26 pm

plugwash wrote:
plugwash wrote: I'm now looking to see if I have more luck with the version of spatialite from sid.
I successfully built and uploaded the sid version of spatialite, gdal is now building.
gdal failed but it's a failure I know how to deal with, hopefully it should be built soon.

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 8:14 pm

Further updates

libavg is in the repo.
gdal is still being dealt with (hopefully it should build this time, it nearly completed last time)

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sat Jul 28, 2012 11:36 pm

The good news is gdal is now built and in the wheezy-staging raspbian repository (it should move to the wheezy raspbian repository next time I run a migration)

The bad news is that xastir's build-dependencies are still not satisfiable.

xastir (= 2.0.0-2): FAILED
xastir (= 2.0.0-2) build-depends on one of:
- libgeotiff-dev (= 1.3.0+dfsg0-3)
xastir (= 2.0.0-2) build-depends on one of:
- libgraphicsmagick1-dev (= 1.3.16-1)
libgeotiff-dev (= 1.3.0+dfsg0-3) depends on one of:
- libtiff5-dev (= 4.0.2-2)
libgraphicsmagick1-dev (= 1.3.16-1) depends on one of:
- libtiff4-dev (= 3.9.6-7)
libtiff5-dev (= 4.0.2-2) and libtiff4-dev (= 3.9.6-7) conflict

Not sure what if anything I can do about this, let me have a think about it.

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Sun Jul 29, 2012 7:25 am

ok xastir is now in the repo :)

User avatar
cnxsoft
Posts: 191
Joined: Sat Oct 15, 2011 2:33 pm
Location: Chiang Mai, Thailand
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Sun Jul 29, 2012 8:49 am

plugwash wrote:debian had already done the sse fix since debian i386 is not sse.

Can you confirm that after making the sse fix and the debug code assembler fix that it worked for you?
Yes, I tried it with a Cortex A8 board and it works. I don't have Raspberry Pi to try it out.

AlArenal
Posts: 141
Joined: Sun Feb 26, 2012 6:58 pm
Location: Germany
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Mon Jul 30, 2012 7:39 am

plugwash wrote:However there are other common lisp implementations in debian and at least ecl and gcl are available in raspbian. Are either of these usable for you?
So, I just opened up my new book and it says, that until chapter 12 (of 20) any Common LISP implemention will do, afterwards it gets a bit specific with CLISP (using the internal webserver and stuff).

Phlogi
Posts: 1
Joined: Mon Jul 30, 2012 8:56 am

Re: Packages from debian you want to see in raspbian reposit

Mon Jul 30, 2012 8:58 am

Due to the low ressources needed by sqlite, a lot of users prefer sqlite over mysql server on their PI. So I'd like to see a package for sqlitemanager (like phpmyadmin for mysql).

http://www.sqlitemanager.org/

Thanks!

poliveira1978
Posts: 17
Joined: Sun Jul 22, 2012 8:42 pm
Location: Covilhã, Portugal
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Mon Jul 30, 2012 9:05 am

vgrabbj seems to be a rather old version, it still shows the error:
"Could not open configfile /usr/etc/vgrabbj.conf, ignoring"
this seems to have been corrected in more recent versions.

tomtor
Posts: 44
Joined: Sun Apr 08, 2012 2:19 am
Contact: Website

clisp

Tue Jul 31, 2012 5:11 am

Does this give a hint:

http://sourceforge.net/tracker/index.ph ... tid=301355

I hope to get my pi in a few weeks and will have a look at this issue if it is not solved by then...

davekempe
Posts: 6
Joined: Sun Jun 24, 2012 10:52 am

Re: Packages from debian you want to see in raspbian reposit

Tue Jul 31, 2012 6:37 am

Hi,
I would love to see http://packages.debian.org/wheezy/freerdp-x11
freerdp in rasbian
http://www.freerdp.com/

It is better than rdesktop for windows 2008r2 remote desktop in particular, and would make the raspbian distro the best choice for thin client deployments.

twolife
Posts: 9
Joined: Tue Jul 31, 2012 8:03 am

Re: Packages from debian you want to see in raspbian reposit

Tue Jul 31, 2012 8:32 am

i know that raspbians goal is to stick as close to debian wheezy as possible. is there room for discussion about that ? what about newer releases of softwares which include new features specificaly developped for the RPi ?

- should i just bribe someone to get those packages included in Raspbian?
- should i create a new repository, separate from Raspbian ?
- ...

your thoughts ?

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Tue Jul 31, 2012 10:34 am

We do intend to have some Pi specific packages in the repository at some point, we still need to work out the details though.

In the meantime creating your own repositories for packages you produce is fine. Any standard debian repository management software should work fine.

plugwash
Forum Moderator
Forum Moderator
Posts: 3477
Joined: Wed Dec 28, 2011 11:45 pm

Re: Packages from debian you want to see in raspbian reposit

Tue Jul 31, 2012 1:07 pm

davekempe wrote:Hi,
I would love to see http://packages.debian.org/wheezy/freerdp-x11
freerdp in rasbian
http://www.freerdp.com/
dealt with

AlArenal
Posts: 141
Joined: Sun Feb 26, 2012 6:58 pm
Location: Germany
Contact: Website

Re: Packages from debian you want to see in raspbian reposit

Tue Jul 31, 2012 2:08 pm

plugwash wrote:I tried.and failed to get this one to build, I added armhf to the arhitecture lists and tried to build it. It failed with an internal compiler error. I then tried modifying the package to build with gcc-4.7. It got futher but it ultimately failed with.

./lisp.run -B . -N locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -m 2MW -lp /clisp-2.49/src/ -x '(and (load "/clisp-2.49/src/init.lisp") (sys::%saveinitmem) (ext::exit)) (ext::exit t)'
make[1]: *** [interpreted.mem] Illegal instruction
Found similar errors mentioned on the web using gcc 4.7 trying to compile for Fedora 17 ARM. Out of curiosity: What is the "right" / supposed way to try to compile the package on the Pi to be able to provide a pkg? I may have time and motivation to give it a try but I lack experience in building stuff for repos, etc.

Return to “Raspbian”